Docs
Get Attachment Preview Token
GET /communications/{id}/attachments/{attachmentId}/preview-token
GET
/communications/{id}/attachments/{attachmentId}/preview-tokenReturns a link that expires after 15 minutes for viewing a staged attachment in the browser, with its file name, type and size. Inline attachments and attachments that have expired from staging cannot be previewed. Same access as Communications_GetCommunication.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id | uuid | Required | |
| attachmentId | uuid | Required |
Response
| Field | Type | Description |
|---|---|---|
| sasUri | uri| null | |
| fileName | string| null | |
| contentType | string| null | |
| sizeBytes | integer |